Subject: RE: [Sigtran] WG Last Call on SUA Implementors Guide completes

From: "Ong, Lyndon" <[email-masked]>
Date: Mon, 11 Dec 2006 12:26:11 -0500

Hi Folks,
 
As there were no comments on the SUA Implementors Guide during
Last Call, I will notify our A-Ds that this is ready for them to review.
 
Cheers,
 
L. Ong
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 11 Dec 2006 12:03:44 -0700

Lyndon,

Well, this was a LC comment that received no answer whatsoever...

--brian

Brian F. G. Bidulock wrote:                 (Fri, 17 Nov 2006 15:55:05)
> Lyndon,
> 
> What is the plan for the SUA-IG?  Is the intention that it become an
> RFC that modifies RFC 3868, with the complete text of RFC 3868 have
> the modifications applied and then be issued as a replacement RFC?
> 
> --brian
> 
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Coene, Lode" <[email-masked]>
Date: Mon, 11 Dec 2006 20:10:14 +0100

This is more a process question...
My take:
This should become a companion RFC to RFC 3868.
There are no plans to my knowledge to do a replacement RFC with the
changes of the IG incorporated ...

Yours sincerely,
Lode coene 

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: maandag 11 december 2006 20:04
To: Ong, Lyndon; [email-masked]
Subject: Re: [Sigtran] WG Last Call on SUA Implementors Guide

Lyndon,

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 11 Dec 2006 12:44:14 -0700

Lyndon,

I do not agree that the document has had sufficient review
for it to advance.

Scanning backwards through the document:

Section 2.14 needs more work.  Section 2.12 is very inconsistent
with M3UA.  Sections 2.8, 2.9 and 2.10 do not address the comments
on the mailing list.  Section 2.7 is incomplete (the old and new
text sections are completely incomplete).  Section 2.6 should remove
the useless text (nowhere is a "response" defined).  Section 2.4
needs more work to be consistent with the necessary order arrived
at for M3UA.  Section 2.3 introduces an incompatiblity with existing
implementations.  Section 2.2 needs more work: ANSI does not use
4 congestion levels for SCCP related SCON messages.

--brian

Lyndon Ong wrote:                                                  (Mon, 11 Dec 2006 12:26:11)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ong, Lyndon" <[email-masked]>
Date: Mon, 11 Dec 2006 19:55:10 -0500

Hi Brian,

I take it you must have missed the WG Last Call announcement!  In any
case, we
should take a look at your comments.  More detail would probably be
helpful.

Cheers,

Lyndon 

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Monday, December 11, 2006 11:44 AM
To: Ong, Lyndon
Cc: [email-masked]
Subject: Re: [Sigtran] WG Last Call on SUA Implementors Guide completes

Lyndon,

I do not agree that the document has had sufficient review for it to
advance.

Section 2.14 needs more work.  Section 2.12 is very inconsistent with
M3UA.  Sections 2.8, 2.9 and 2.10 do not address the comments on the
mailing list.  Section 2.7 is incomplete (the old and new text sections
are completely incomplete).  Section 2.6 should remove the useless text
(nowhere is a "response" defined).  Section 2.4 needs more work to be
consistent with the necessary order arrived at for M3UA.  Section 2.3
introduces an incompatiblity with existing implementations.  Section 2.2
needs more work: ANSI does not use
4 congestion levels for SCCP related SCON messages.

--brian

Lyndon Ong wrote:                                                  (Mon,
11 Dec 2006 12:26:11)
>    Last  Call,  I  will  notify  our  A-Ds that this is ready for them
to
>    review.

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Dec 2006 00:57:18 -0700

Lyndon,

Do you think that this document received any serious review?  I doubt
that even the editor read through it.

Quoted below is Section 2.7 from the document:

" 2.7  Parameters should only occur once in a message
" 
" 2.7.1  Description of the problem
" 
"    Parameters in SUA messages can be repeated as many times as possible.
"    This would lead to inconsistencies, such as 2 or more destination
"    addresses.
" 
" 2.7.2  Text changes to the document
" 
"    ---------
"    Old text: (Section x.x)
"    ---------
" 
" 
"    ---------
"    New text: (Section x.x)
"    ---------
" 
" 2.7.3  Solution description
" 
"    Unless explicitly stated or shown in a message format diagram, only
"    one parameter of the same type is allowed in a message.

--brian

Lyndon Ong wrote:                             (Mon, 11 Dec 2006 19:55:10)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Coene, Lode" <[email-masked]>
Date: Tue, 12 Dec 2006 12:15:35 +0100

This document is in its 5th iteration. 
It has some changes on some of the points you mentioned(and probably not
to your liking)  
That means that it has been read and reread... I think that this means
that it has been reviewed...

This document is ready for AD review...

>Sent: dinsdag 12 december 2006 8:57
>To: Ong, Lyndon
>Cc: [email-masked]

You have been one of "greatest" commenters on it...
Before the last call, you suggesting to put it off untill the next
SIGTRAN bakeoff...
And the date for that has moved backwards since then...
There is no reason to delay any further...

>" 2.7.2  Text changes to the document

This is completely new text. There was no old text to replace. 

>> Subject: Re: [Sigtran] WG Last Call on SUA Implementors Guide
completes
>> Section 2.14 needs more work.  Section 2.12 is very inconsistent with

The Stream use of those SSNM msg is now consistent...

>> M3UA.  Sections 2.8, 2.9 and 2.10 do not address the comments on the
Yet another change for section 2.12. please send text...

The sections 2.8, 2.9 and 2.10 have always been problem childs. 
They were put in at the last minute and nobody offered text on what
should be 
done if some SG was to receive it... We have been iterating over it for
multiple times...
It was put in on demand of the ASP vendors... Unfortunaly it is the SG
which has 
to do the dirty work and most SG vendors are not in the least bit
interested 
in doing this because it makes the implementation a lot harder....
And most of the comments have been over these sections...(proving the
point that it
should have never been included in the original SUA spec in the first
place: 
it should been put in a extra draft on its own..)

>> are completely incomplete).  Section 2.6 should remove the useless
text

Section 2.6 looks fine to me....

>> consistent with the necessary order arrived at for M3UA.  Section 2.3

Section 2.3 is a addition. The problem of the original sequence
parameter is solved  by it.
So it might pose problems for implementations not wanting to implement
this...

>> 4 congestion levels for SCCP related SCON messages.

ANSI does use 4 congestion levels... So SUA has to provide for this from

wherever it can find the information...

>> --brian

Yours sincerely,
Lode Coene

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Dec 2006 04:41:39 -0700

Lode,

Aside from the other problems with the document, were you intending on
ever completing section 2.7?  Or did we want this incomplete section
going into an RFC?  Did anyone read and reread this section?

> >" 2.7.2  Text changes to the document

As to my process question: there would have been little point in giving
the document a careful review if the intention was to edit an rfc3868bis
document.  Sections such as Section 2.7 would either disappear or be
edited into the "bis" document correctly.  That is why I asked the
question a month ago.

As the intention is to have this document stand as an RFC on its own,
the document should be properly completed and receive a complete review.

Lyndon, would it be possible to extend the WGLC period by several weeks
to allow time to detail the issues with the document considering that
the intention to publish the document as an RFC on its own was only just
announced?

--brian

Coene, Lode wrote:                            (Tue, 12 Dec 2006 12:15:35)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Coene, Lode" <[email-masked]>
Date: Tue, 12 Dec 2006 17:44:52 +0100

Brian,

> Sent: dinsdag 12 december 2006 12:42
> To: Coene, Lode
> Cc: Ong, Lyndon; [email-masked]

What problems.. Your problems maybe, not mine...
Yes... That is what is intended...

> the document should be properly completed and receive a 

It seems it has... No comment came forward... 
Just yours after the deadline putting stuff that has been debated ad
infinitum ...
The moment for running circles is past....
If this continues, the document will be ready in the year that Owls
start preaching... 

> the intention to publish the document as an RFC on its own 

I see no need to extent the WGLC period at all.
All the issues have been debated to dead already.. And the document
reflects the consensus...
  
The intentions had always been to publish this document as a
"standalone" document.
That is not something that was just recently announced...

Yours sincerely,
Lode Coene

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Dec 2006 12:14:18 -0700

Is there anyone other than Lode that has a problem
extending WGLC two weeks?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ong, Lyndon" <[email-masked]>
Date: Tue, 12 Dec 2006 14:29:51 -0500

Hi Brian,

Rather than having an open WGLC extension, since you are the only one
who has expressed comments, I would rather that we focus on your 
comments.  

Cheers,

Lyndon 

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Tuesday, December 12, 2006 11:14 AM
To: Coene, Lode
Cc: Ong, Lyndon; [email-masked]
Subject: Re: [Sigtran] WG Last Call on SUA Implementors Guide completes

Is there anyone other than Lode that has a problem extending WGLC two
weeks?

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Dec 2006 13:25:18 -0700

Lyndon,

Ok.  I just need a little time to write up the details as I have other
things on my plate at the moment.

--brian

Lyndon Ong wrote:                                 (Tue, 12 Dec 2006 14:29:51)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/